name: Push on Tag

on:
  push:
    tags:
      - '*'
jobs:
  copy-file:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v2

      - name: Pushes to Skyline Data Proxy
        uses: Thomas-Collinson/copy_file_to_another_repo_action@main
        env:
          API_TOKEN_GITHUB: ${{ secrets.API_PUSH_TOKEN }}
        with:
          source_file: 'src composer.json composer.lock README.md .gitignore'
          destination_repo: 'Thomas-Collinson/skyline-data-proxy'
          destination_folder: 'common'
          destination_branch: 'develop'
          user_email: 'tom@collinson.dev'
          user_name: 'Thomas-Collinson'
          commit_message: 'Updated PHP Common'
